Page MenuHomePhabricator

Bump CI php72 images given we've moved production to 7.2.22
Closed, ResolvedPublic

Description

Not sure how urgent this is, but…

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2019, 9:30 PM
hashar triaged this task as High priority.Sep 6 2019, 7:36 AM
hashar added a subscriber: hashar.

Yes we should definitely rebuild all containers having 7.2 :-]

The Quibble images are at 7.2.22 since I have rebuild them last week.

Some others:

docker-registry.discovery.wmnet/releng/composer-package-php72:0.2.2-s4

PHP 7.2.16-1+0~20190307202415.17+stretch~1.gbpa7be82+wmf1 (cli) (built: Mar 11 2019 11:23:18) ( NTS )

docker-registry.discovery.wmnet/releng/composer-php72:0.2.1-s2

PHP 7.2.16-1+0~20190307202415.17+stretch~1.gbpa7be82+wmf1 (cli) (built: Mar 11 2019 11:23:18) ( NTS )

docker-registry.discovery.wmnet/releng/composer-test-php72:0.2.1-s2

PHP 7.2.16-1+0~20190307202415.17+stretch~1.gbpa7be82+wmf1 (cli) (built: Mar 11 2019 11:23:18) ( NTS )

docker-registry.discovery.wmnet/releng/doxygen:0.5.0

PHP 7.2.16-1+0~20190307202415.17+stretch~1.gbpa7be82+wmf1 (cli) (built: Mar 11 2019 11:23:18) ( NTS )

docker-registry.discovery.wmnet/releng/mediawiki-phan-seccheck:0.4.0-s2

PHP 7.2.16-1+0~20190307202415.17+stretch~1.gbpa7be82+wmf1 (cli) (built: Mar 11 2019 11:23:18) ( NTS )

docker-registry.discovery.wmnet/releng/php72:0.2.2-s1

PHP 7.2.16-1+0~20190307202415.17+stretch~1.gbpa7be82+wmf1 (cli) (built: Mar 11 2019 11:23:18) ( NTS )

Change 542910 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: rebuild for php7.2.22

https://gerrit.wikimedia.org/r/542910

hashar claimed this task.Oct 14 2019, 12:16 PM

Change 542910 merged by jenkins-bot:
[integration/config@master] docker: rebuild for php7.2.22

https://gerrit.wikimedia.org/r/542910

Mentioned in SAL (#wikimedia-releng) [2019-10-15T15:36:38Z] <James_F> Docker: Rebuild images for PHP 7.2.22 T232165

Change 543170 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Upgrade PHP72 jobs to images that have PHP 7.2.22

https://gerrit.wikimedia.org/r/543170

Change 543170 merged by jenkins-bot:
[integration/config@master] jjb: Upgrade PHP72 jobs to images that have PHP 7.2.22

https://gerrit.wikimedia.org/r/543170

Jdforrester-WMF closed this task as Resolved.Oct 15 2019, 5:20 PM